#include <bits/stdc++.h>
using namespace std;
using ll = long long;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n, s;
    cin >> n >> s;
    vector<vector<int> > a(n);
    vector<int> k(n);
    for (int i = 0; i < n; i++) {
        cin >> k[i];
        a[i].resize(k[i]);
        for (int j = 0; j < k[i]; j++) {
            cin >> a[i][j];
        }
    }
    vector<vector<int> > can(n);
    for (int i = 0; i < n; i++) {
        vector<vector<bool> > dp(k[i], vector<bool>(s + 1, false));
        if (a[i][0] <= s) {
            dp[0][a[i][0]] = true;
        }
        for (int j = 0; j < k[i]; j++) {
            dp[j][0] = true;
        }
        for (int j = 1; j < k[i]; j++) {
            for (int w = 1; w <= s; w++) {
                if (w - a[i][j] >= 0 && dp[j - 1][w - a[i][j]]) {
                    dp[j][w] = true;
                }
                if (dp[j - 1][w]) {
                    dp[j][w] = true;
                }
            }
        }
        for (int w = 1; w <= s; w++) {
            if (dp[k[i] - 1][w]) {
                can[i].push_back(w);
            }
        }
    }
    vector<vector<bool> > dp(n, vector<bool>(s + 1, false));
    vector<vector<int> > pr(n, vector<int>(s + 1, -1));
    for (int i = 0; i < int(can[0].size()); i++) {
        dp[0][can[0][i]] = true;
        pr[0][can[0][i]] = can[0][i];
    }
    for (int i = 1; i < n; i++) {
        for (int j = 0; j < int(can[i].size()); j++) {
            for (int w = 1; w <= s; w++) {
                if (w - can[i][j] >= 0 && dp[i - 1][w - can[i][j]]) {
                    dp[i][w] = true;
                    pr[i][w] = can[i][j];
                }
            }
        }
    }
    if (dp[n - 1][s]) {
        cout << "Yes\n";
        vector<int> take;
        int cur = s;
        for (int j = n - 1; j >= 0; j--) {
            take.push_back(pr[j][cur]);
            cur -= pr[j][cur];
        }
        reverse(take.begin(), take.end());
        for (int i = 0; i < n; i++) {
            vector<vector<bool> > dp1(k[i], vector<bool>(s + 1, false));
            vector<vector<int> > tk(k[i], vector<int>(s + 1, -1));
            if (a[i][0] <= s) {
                dp1[0][a[i][0]] = true;
                tk[0][a[i][0]] = 0;
            }
            for (int j = 0; j < k[i]; j++) {
                dp1[j][0] = true;
            }
            for (int j = 1; j < k[i]; j++) {
                for (int w = 1; w <= s; w++) {
                    if (w - a[i][j] >= 0 && dp1[j - 1][w - a[i][j]]) {
                        dp1[j][w] = true;
                        tk[j][w] = j;
                    }
                    if (dp1[j - 1][w]) {
                        dp1[j][w] = true;
                        tk[j][w] = tk[j - 1][w];
                    }
                }
            }
            int id = k[i] - 1, w = take[i];
            vector<int> all;
            while (id >= 0 && tk[id][w] != -1) {
                all.push_back(tk[id][w]);
                w -= a[i][tk[id][w]];
                id--;
            }
            cout << int(all.size()) << "\n";
            for (int ma: all) {
                cout << (ma + 1) << " ";
            }
            cout << "\n";
        }
    } else {
        cout << "No\n";
    }
    return 0;
}
