#include <bits/stdc++.h>
using namespace std;
using ll = long long;
const int mod = 1e9 + 7;
#pragma gcc optimize("-Os")

signed main() {
    int n, k;
    cin >> n >> k;
    vector<int> b(n);
    for (int i = 0; i < n; i++) {
        cin >> b[i];
    }
    if (k == 1) {
        cout << 1;
        return 0;
    }
    if (k == 2) {
        vector dp(n, vector<ll>(2));
        if (b[0] == 1) {
            dp[0][1] = 1;
            dp[0][0] = 1;
        } else if (b[0] == 0) {
            dp[0][0] = 1;
        } else if (b[0] == 2) {
            dp[0][1] = 1;
        } else {
            cout << 0;
            return 0;
        }
        for (int i = 1; i < n; i++) {
            if (b[i] == 1) {
                dp[i][1] += dp[i - 1][0];
                dp[i][0] += (dp[i - 1][0] + dp[i - 1][1]);
            } else if (b[i] == 2) {
                dp[i][1] += (dp[i - 1][1] + dp[i - 1][0]);
                dp[i][0] += (dp[i - 1][1]);
            } else if (b[i] == 0) {
                dp[i][0] += (dp[i - 1][0]);
            } else if (b[i] == 3) {
                dp[i][1] += (dp[i - 1][1]);
            }
            dp[i][0] %= mod;
            dp[i][1] %= mod;
        }
        cout << (dp[n - 1][0] + dp[n - 1][1]) % mod;
        return 0;
    }
    int sz = n * k;
    int ans = 0;
    for (int mask = 0; mask < (1 << sz); mask++) {
        vector<vector<int> > tab(k, vector<int>(n));
        vector<vector<int> > pref(k, vector<int>(n));
        for (int i = 0; i < sz; i++) {
            if ((((mask >> i) & 1)) == 1) {
                tab[i / n][i % n] = 1;
            }
            int x1 = i / n, y1 = i % n;
            if (y1 - 1 >= 0) {
                pref[x1][y1] = pref[x1][y1 - 1];
            }
            if (tab[x1][y1] == 1) {
                pref[x1][y1] += 1;
            }
        }
        bool ok = true;
        for (int j = 0; j < n; j++) {
            int cur = k;
            int sum = 0;
            for (int i = 0; i < k; i++) {
                if (j - cur >= 0) {
                    sum += pref[i][j] - pref[i][j - cur];
                } else {
                    sum += pref[i][j];
                }
                cur--;
            }
            if (b[j] != sum) {
                ok = false;
            }
        }
        if (ok) {
            ans++;
        }
    }
    cout << ans;
    return 0;
}

